{ inputs, config, pkgs, ... }:

{
    programs.tmux = {
        shell = "${pkgs.zsh}/bin/zsh";
        terminal = "tmux-256color";
        enable = true;
        clock24 = true;
        shortcut = "a";
        escapeTime = 0;
        newSession = true;
        plugins = [
            pkgs.tmuxPlugins.vim-tmux-navigator
            pkgs.tmuxPlugins.better-mouse-mode
            pkgs.tmuxPlugins.yank
            {
                plugin = pkgs.tmuxPlugins.power-theme;
                extraConfig = "set -g @tmux_power_theme 'forest'";

            }
        ];
    };
}
